Bitcoin Monthly Price Performance

Monthly fluctuations in bitcoin's historical prices

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/monthly-price-performance/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

1 metrics
Metric

BTC Monthly Performance

Data used by the Monthly Price Performance chart.

Endpoint
https://newhedge.io/api/v2/metrics/monthly-price-performance/btc_monthly_performance?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1782691200000,
    -15.65161038611711,
    60145.1
  ],
  [
    1785369600000,
    7.983316809681713,
    64751.71
  ],
  [
    1787011200000,
    2.970337216002243,
    64692.35
  ]
]